Package org.pentaho.reporting.libraries.formula.function

## Class AbstractFunctionCategory

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.function.AbstractFunctionCategory

- All Implemented Interfaces:
    `FunctionCategory`
  Direct Known Subclasses:
    `DateTimeFunctionCategory`, `FinancialFunctionCategory`, `InformationFunctionCategory`, `InvalidFunctionCategory`, `LogicalFunctionCategory`, `MathFunctionCategory`, `RoundingFunctionCategory`, `TextFunctionCategory`, `UserDefinedFunctionCategory`

      public class AbstractFunctionCategory
      extends java.lang.Object
      implements FunctionCategory

  Creation-Date: 05.11.2006, 14:31:22
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getDescription​(java.util.Locale locale)` |
    `java.lang.String` | `getDisplayName​(java.util.Locale locale)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDisplayName

          public java.lang.String getDisplayName​(java.util.Locale locale)

      Specified by:
        `getDisplayName` in interface `FunctionCategory`

    - #### getDescription

          public java.lang.String getDescription​(java.util.Locale locale)

      Specified by:
        `getDescription` in interface `FunctionCategory`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`